#!/bin/sh
## TV-Karte Hauppauge PVR 350

case "$1" in
    load)
        modprobe tuner type=5 pal=1
        modprobe msp3400 once=1 simple=1
        modprobe saa7115
        modprobe ivtv mpg_buffers=100 video_nr=0
        modprobe ivtv-fb
        # Composite-Ausgang einschalten
        modprobe saa7127 enable_output=1 output_select=0 pal=1
        # S-VHS Ausgang einschalten
        ## saa7127 enable_output=1 output_select=1 pal=1
        modpobe tveeprom

        ### DVB Treiber - already loaded with insmod
        # videodev
        #dvb-core
        #input
        #dvb-ttpci hw_sections=0
        #evdev

        ## I2C chip drivers
        modprobe it87
	;;
    unload)
	echo "Deleting pvr350 modules from kernel"
        modprobe -r it87 tveeprom saa7127 ivtv-fb ivtv saa7115 msp3400
	echo
	;;
    reload)
	$0 unload && $0 load
	;;
    *)
	echo "Usage$0 {load|unload|debug|reload}"
	exit 1
esac

